package com.googlecode.alfresco.repository.node.impl;

import org.alfresco.util.ISO9075;

/**
 * {@link PathEncoder} implementation that delegates work to the {@link ISO9075} utility class.
 *
 * @author Laurens Fridael
 *
 */
public class ISO9075PathEncoder implements PathEncoder {

	@Override
	public String encodePath(final String path) {
		return ISO9075.encode(path);
	}

}
