package com.googlecode.alfresco.repository.node.impl;

/**
 * Strategy for encoding paths. For internal usage by {@link NodeHelperImpl}.
 *
 * @author Laurens Fridael
 *
 */
interface PathEncoder {

	/**
	 * Encodes a given path.
	 *
	 * @param path
	 * @return The path in encoded format.
	 */
	public String encodePath(String path);

}
