package com.googlecode.alfresco.repository.node;

import org.alfresco.service.cmr.repository.Path;

/**
 * Defines helper operations for working with Path instances.
 *
 * @author Laurens Fridael
 *
 */
public interface PathHelper {

	/**
	 * Converts a {@link Path} to XPath format.
	 *
	 * @param path
	 *            The Path.
	 * @return The path in XPath format.
	 */
	public String convertPathToString(Path path);

}
